summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--academic/gwyddion/README5
-rw-r--r--academic/gwyddion/doinst.sh3
-rw-r--r--academic/gwyddion/gwyddion.SlackBuild19
-rw-r--r--academic/gwyddion/gwyddion.info10
-rw-r--r--academic/gwyddion/slack-desc6
5 files changed, 21 insertions, 22 deletions
diff --git a/academic/gwyddion/README b/academic/gwyddion/README
index f9efa2cdc5..34e3c74f5e 100644
--- a/academic/gwyddion/README
+++ b/academic/gwyddion/README
@@ -1,10 +1,7 @@
-gwyddion - scanning probe microscopy data analyzer
-
Gwyddion is a modular program for SPM (scanning probe microscopy) data
visualization and analysis. Primarily it is intended for analysis of
height fields obtained by means of scanning probe microscopy techniques
(AFM, MFM, STM, SNOM/NSOM), however it can be generally used for any other
height field and image analysis
-Gwyddion requires FFTW3 and gtkglext available at SlackBuilds.org
-
+This requires fftw and gtkglext.
diff --git a/academic/gwyddion/doinst.sh b/academic/gwyddion/doinst.sh
index 617c93e145..9830478e8c 100644
--- a/academic/gwyddion/doinst.sh
+++ b/academic/gwyddion/doinst.sh
@@ -1,5 +1,3 @@
-#!/bin/sh
-
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
@@ -13,3 +11,4 @@ if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
/usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
fi
fi
+
diff --git a/academic/gwyddion/gwyddion.SlackBuild b/academic/gwyddion/gwyddion.SlackBuild
index 1e75554e8e..d529163ad6 100644
--- a/academic/gwyddion/gwyddion.SlackBuild
+++ b/academic/gwyddion/gwyddion.SlackBuild
@@ -5,9 +5,9 @@
# Written by Daniil Bratashov <dn2010@gmail.com>
PRGNAM=gwyddion
-VERSION=${VERSION:-2.15}
+VERSION=${VERSION:-2.19}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -32,7 +32,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -52,14 +53,14 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
-make
-make install DESTDIR=$PKG
+make
+make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -68,12 +69,12 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/gwyddion/gwyddion.info b/academic/gwyddion/gwyddion.info
index 353e7948b4..9dd73a99de 100644
--- a/academic/gwyddion/gwyddion.info
+++ b/academic/gwyddion/gwyddion.info
@@ -1,8 +1,10 @@
PRGNAM="gwyddion"
-VERSION="2.15"
+VERSION="2.19"
HOMEPAGE="http://gwyddion.net"
-DOWNLOAD="http://prdownloads.sourceforge.net/gwyddion/gwyddion-2.15.tar.bz2"
-MD5SUM="97f050272c35f734f6bee1b948341b8a"
+DOWNLOAD="http://prdownloads.sourceforge.net/gwyddion/gwyddion-2.19.tar.bz2"
+MD5SUM="5c61913df1abf78783ad9dd5e1faa505"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Daniil Bratashov"
EMAIL="dn2010@gmail.com"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/academic/gwyddion/slack-desc b/academic/gwyddion/slack-desc
index 4774696f41..0c99965a00 100644
--- a/academic/gwyddion/slack-desc
+++ b/academic/gwyddion/slack-desc
@@ -14,6 +14,6 @@ gwyddion: analysis of height fields obtained by means of scanning probe
gwyddion: microscopy techniques (AFM, MFM, STM, SNOM/NSOM),
gwyddion: however it can be generally used for any other height field
gwyddion: and image analysis.
-gwyddion:
-gwyddion:
-gwyddion:
+gwyddion:
+gwyddion:
+gwyddion: